CREATE FUNCTION [dbo].[Replace_Testo_Email_Periodico_LC_REP_DEF]
(
	@RETE as varchar(1) = '',
	@CODICE_PB as varchar(6) = '',
--	@COGNOME_PB as varchar(20) = '',
--	@NOME_PB as varchar(20) = '',
	@TIPOEMAIL as varchar(20) = '', 
	@TESTO as TEXT = ''
)
RETURNS varchar(5000)
AS
BEGIN
	DECLARE @TESTO_DI_RITORNO1 as varchar(8000)
	SET @TESTO_DI_RITORNO1 = ''
	SELECT @TESTO_DI_RITORNO1 = @TESTO_DI_RITORNO1 + '<tr><td>Cliente: ' + ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'') + '</td></tr>'
    FROM C6Mart.CONTRATTOSEI REPGEN
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND REPGEN.FREQ_MONITOR IS NOT NULL
	AND REPGEN.FREQ_DIAGNOSI IS NOT NULL
	AND C6MARTPERIODICO.GETTRIMESTRE(getdate(),0) = C6MARTPERIODICO.GETTRIMESTRE(REPGEN.DATA_INVIO_DIAGNOSI_TRIMESTRALE,0)
	IF @TESTO_DI_RITORNO1 <> ''
		SET @TESTO_DI_RITORNO1 = '<TABLE><TR><TD>Report: <B>Report Monitoraggio e Diagnosi trimestrale</B></TD></TR>' + @TESTO_DI_RITORNO1 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO2 as varchar(8000)
	SET @TESTO_DI_RITORNO2 = ''
	SELECT @TESTO_DI_RITORNO2 = @TESTO_DI_RITORNO2 + '<tr><td>Cliente: ' + ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'') + '</td></tr>'
    FROM C6Mart.CONTRATTOSEI REPGEN
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND REPGEN.FREQ_MONITOR IS NOT NULL
	AND REPGEN.FREQ_DIAGNOSI IS NULL 
	AND C6MARTPERIODICO.GETTRIMESTRE(getdate(),0) = C6MARTPERIODICO.GETTRIMESTRE(REPGEN.DATA_INVIO_MONITORAGGIO_TRIMESTRALE,0)
	IF @TESTO_DI_RITORNO2 <> ''
		SET @TESTO_DI_RITORNO2 = '<TABLE><TR><TD>Report: <B>Report Monitoraggio trimestrale</B></TD></TR>' + @TESTO_DI_RITORNO2 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO as varchar(8000)
	SET @TESTO_DI_RITORNO = 'EMAIL ERRATA CONTATTARE HELP DESK'
	IF @TESTO_DI_RITORNO1 <> '' OR @TESTO_DI_RITORNO2 <> ''
	BEGIN
		SET @TESTO_DI_RITORNO = isnull(@TESTO,'/$TESTO NON VALORIZZATO$/');
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$ACAPO$/',char(10));
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$num_gg_gen_rep_periodico$/','15');
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$Mon_Diagn_Per$/',@TESTO_DI_RITORNO1 + ' ' + @TESTO_DI_RITORNO2); 
	END 
    RETURN @TESTO_DI_RITORNO
END